Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::MemTraits< SharedMem > Struct Reference

`#include <GPUMemInfo.h>`

## Public Types

using | MemInfoType = SharedMem
using | Accumulator = SharedAccessAccumulator

## Static Public Attributes

static constexpr double | bytes_per_transaction = 128

## Detailed Description

Definition at line 38 of file GPUMemInfo.h.

## Member Typedef Documentation

## MemInfoType

using Halide::Internal::Autoscheduler::MemTraits< SharedMem >::MemInfoType = SharedMem

Definition at line 40 of file GPUMemInfo.h.

## Accumulator

using Halide::Internal::Autoscheduler::MemTraits< SharedMem >::Accumulator = SharedAccessAccumulator

Definition at line 41 of file GPUMemInfo.h.

## Member Data Documentation

## bytes_per_transaction

double Halide::Internal::Autoscheduler::MemTraits< SharedMem >::bytes_per_transaction = 128

static constexpr

Definition at line 39 of file GPUMemInfo.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/GPUMemInfo.h